/* Zunaechst ein paar Fakten ueber die Verwandtschaft ... */

weiblich(berta).

weiblich(gerda).

weiblich(hanna).

weiblich(ina).

weiblich(maria).



maennlich(alfons).

maennlich(fritz).

maennlich(herbert).

maennlich(hugo).

maennlich(wilhelm).



/* eltern (A,B,C) soll gelten, wenn B und C die Eltern von A sind. */

eltern(gerda, berta, alfons).

eltern(fritz, berta, alfons).

eltern(maria, ina, herbert).

eltern(hugo, ina, herbert).

eltern(wilhelm, maria, fritz).

eltern(hanna, maria, fritz).





/* X ist Schwester von Y, wenn X weiblich ist und X und Y die selben Eltern haben. Dabei muessen X und Y */

/* nicht verschieden sein. */

schwester_von(X,Y) :- weiblich(X), eltern(X,A,B), eltern(Y, A, B).



/* X ist Bruder von Y, wenn X maennlich ist und X und Y die selben Eltern haben. Dabei muessen X und Y */

/* nicht verschieden sein. */

bruder_von(X,Y) :- maennlich(X), eltern(X,A,B), eltern(Y,A,B).



/* X ist Geschwister von Y, wenn X Bruder von Y ist oder X Schwester von Y ist. */

geschwister_von(X,Y) :- bruder_von(X,Y).

geschwister_von(X,Y) :- schwester_von(X,Y).

