MODULE Datei EXPORTS Main;
(* Autor: Antje Nowack
   Umgebung: PM3, Windows95
   Erstellt: 12. 12. 2000 
   Letzte Aenderung: 12. 12. 2000
*)
IMPORT IO, SIO;
IMPORT Wr AS Writer, Rd AS Reader;
VAR in, out: TEXT;

(* Die folgende Prozedur kopiert den Inhalt der Datei
   mit dem Namen original in die Datei mit dem Namen
   kopie. *)
PROCEDURE KopiereDatei (original, kopie : TEXT)=
VAR original_datei : Reader.T;
    kopie_datei : Writer.T;
    zeile : TEXT;
BEGIN
 (* Oeffnen der Datei mit dem Namen original zum Lesen 
    und Setzen eines entsprechenden Eingabestromes. *)
  original_datei := IO.OpenRead(original);
 (* Oeffnen der Datei mit dem Namen kopie zum Schreiben
    und Setzen eines entsprechenden Ausgabestromes. *)
  kopie_datei := IO.OpenWrite(kopie);
(* WHILE-Schleife zum zeilenweisen Lesen bis das Ende der Datei erreicht 
   ist. *)
  WHILE NOT Reader.EOF(original_datei) DO
(* Lesen von ab der aktuellen Position bis zum naechsten 
   Zeilenvorschubzeichen, also einer Zeile. *)
   zeile := SIO.GetLine(original_datei);
(* ... und Anhaengen *)
   SIO.PutLine(zeile, kopie_datei);
  END;
(* Schliessen von original_datei. *)
  Reader.Close(original_datei);
(* Schliessen von kopie_datei. *)
  Writer.Close(kopie_datei);
END KopiereDatei;

BEGIN
(* Hauptprogramm mit dem Aufruf der oben definierten Prozedur. Die zwei 
   Dateinamen muessen vom Benutzer eingegeben werden. *)
  SIO.PutLine("Bitte Original-Datei angeben: ");
  in := SIO.GetLine();
  SIO.Nl();
  SIO.PutLine("Bitte die Zieldatei angeben: ");
  out := SIO.GetLine();
  KopiereDatei(in, out);

END Datei.