MODULE Hanoi EXPORTS Main;

(* Ausgabe der Zugfolge fuer die Tuerme von Hanoi *)

IMPORT SIO;

PROCEDURE DruckeZug (hoehe: CARDINAL; von, nach: TEXT) =
BEGIN
  SIO.PutText("Scheibe "); 
  SIO.PutInt(hoehe);
  SIO.PutText(" von " & von & " nach " & nach);
  SIO.Nl();
END DruckeZug ;

PROCEDURE BewegeTurm (hoehe: CARDINAL; von, nach, ueber: TEXT) =
BEGIN

  IF hoehe > 0 THEN
    BewegeTurm(hoehe-1, von, ueber, nach);
    DruckeZug (hoehe, von, nach);
    BewegeTurm(hoehe-1, ueber, nach, von);
  END;

END BewegeTurm;

BEGIN
  SIO.PutLine("***  Die Tuerme von Hanoi  ***"); 
  SIO.Nl();
  SIO.PutText("Wie hoch soll der Turm sein? ");
  BewegeTurm(SIO.GetInt(), "ALPHA", "OMEGA", "DELTA" );
END Hanoi.